GDBserver

Classes | Typedefs | Enumerations | Functions
gdb_proc_service.h File Reference
`#include <sys/types.h>`

Go to the source code of this file.

## Classes
struct | ps_prochandle

## Typedefs
typedef unsigned int | lwpid_t
typedef void * | psaddr_t
typedef elf_gregset_t | prgregset_t
typedef elf_fpregset_t | prfpregset_t

## Enumerations
enum | ps_err_e { PS_OK, PS_ERR, PS_BADPID, PS_BADLID, PS_BADADDR, PS_NOSYM, PS_NOFREGS }

## Functions
ps_err_e | ps_pdread (struct ps_prochandle *, psaddr_t, void *, size_t)
ps_err_e | ps_pdwrite (struct ps_prochandle *, psaddr_t, const void *, size_t)
ps_err_e | ps_ptread (struct ps_prochandle *, psaddr_t, void *, size_t)
ps_err_e | ps_ptwrite (struct ps_prochandle *, psaddr_t, const void *, size_t)
ps_err_e | ps_lgetregs (struct ps_prochandle *, lwpid_t, prgregset_t)
ps_err_e | ps_lsetregs (struct ps_prochandle *, lwpid_t, const prgregset_t)
ps_err_e | ps_lgetfpregs (struct ps_prochandle *, lwpid_t, prfpregset_t *)
ps_err_e | ps_lsetfpregs (struct ps_prochandle *, lwpid_t, const prfpregset_t *)
pid_t | ps_getpid (struct ps_prochandle *)
ps_err_e | ps_get_thread_area (struct ps_prochandle *, lwpid_t, int, psaddr_t *)
ps_err_e | ps_pglobal_lookup (struct ps_prochandle *, const char *object_name, const char *sym_name, psaddr_t *sym_addr)
ps_err_e | ps_pstop (struct ps_prochandle *)
ps_err_e | ps_pcontinue (struct ps_prochandle *)
ps_err_e | ps_lstop (struct ps_prochandle *, lwpid_t)
ps_err_e | ps_lcontinue (struct ps_prochandle *, lwpid_t)
ps_err_e | ps_lgetxregsize (struct ps_prochandle *ph, lwpid_t lwpid, int *xregsize)
ps_err_e | ps_lgetxregs (struct ps_prochandle *ph, lwpid_t lwpid, caddr_t xregset)
ps_err_e | ps_lsetxregs (struct ps_prochandle *ph, lwpid_t lwpid, caddr_t xregset)
void | ps_plog (const char *fmt,...)

## Typedef Documentation

## ◆ lwpid_t

typedef unsigned int lwpid_t

Definition at line 63 of file gdb_proc_service.h.

## ◆ prfpregset_t

typedef elf_fpregset_t prfpregset_t

Definition at line 75 of file gdb_proc_service.h.

## ◆ prgregset_t

typedef elf_gregset_t prgregset_t

Definition at line 71 of file gdb_proc_service.h.

## ◆ psaddr_t

typedef void* psaddr_t

Definition at line 67 of file gdb_proc_service.h.

## Enumeration Type Documentation

## ◆ ps_err_e

enum ps_err_e

Enumerator
PS_OK |
PS_ERR |
PS_BADPID |
PS_BADLID |
PS_BADADDR |
PS_NOSYM |
PS_NOFREGS |

Definition at line 51 of file gdb_proc_service.h.

## Function Documentation

## ◆ ps_get_thread_area()

ps_err_e ps_get_thread_area | ( | struct ps_prochandle * | ,
|  | lwpid_t | ,
|  | int | ,
|  | psaddr_t * |
| ) |  |

Definition at line 390 of file linux-aarch64-low.c.

References aarch64_ps_get_thread_area(), ARCH_GET_FS, ARCH_GET_GS, is_64bit_tdesc(), PS_BADADDR, PS_ERR, PS_OK, ptrace(), PTRACE_ARCH_PRCTL, and PTRACE_GET_THREAD_AREA.

## ◆ ps_getpid()

pid_t ps_getpid | ( | struct ps_prochandle * |  | ) |

## ◆ ps_lcontinue()

ps_err_e ps_lcontinue | ( | struct ps_prochandle * | ,
|  | lwpid_t |
| ) |  |

## ◆ ps_lgetfpregs()

ps_err_e ps_lgetfpregs | ( | struct ps_prochandle * | ,
|  | lwpid_t | ,
|  | prfpregset_t * |
| ) |  |

## ◆ ps_lgetregs()

ps_err_e ps_lgetregs | ( | struct ps_prochandle * | ,
|  | lwpid_t | ,
|  | prgregset_t |
| ) |  |

## ◆ ps_lgetxregs()

ps_err_e ps_lgetxregs | ( | struct ps_prochandle * | ph,
|  | lwpid_t | lwpid,
|  | caddr_t | xregset
| ) |  |

## ◆ ps_lgetxregsize()

ps_err_e ps_lgetxregsize | ( | struct ps_prochandle * | ph,
|  | lwpid_t | lwpid,
|  | int * | xregsize
| ) |  |

## ◆ ps_lsetfpregs()

ps_err_e ps_lsetfpregs | ( | struct ps_prochandle * | ,
|  | lwpid_t | ,
|  | const prfpregset_t * |
| ) |  |

## ◆ ps_lsetregs()

ps_err_e ps_lsetregs | ( | struct ps_prochandle * | ,
|  | lwpid_t | ,
|  | const prgregset_t |
| ) |  |

## ◆ ps_lsetxregs()

ps_err_e ps_lsetxregs | ( | struct ps_prochandle * | ph,
|  | lwpid_t | lwpid,
|  | caddr_t | xregset
| ) |  |

## ◆ ps_lstop()

ps_err_e ps_lstop | ( | struct ps_prochandle * | ,
|  | lwpid_t |
| ) |  |

## ◆ ps_pcontinue()

ps_err_e ps_pcontinue | ( | struct ps_prochandle * |  | ) |

## ◆ ps_pdread()

ps_err_e ps_pdread | ( | struct ps_prochandle * | ,
|  | psaddr_t | ,
|  | void * | ,
|  | size_t |
| ) |  |

## ◆ ps_pdwrite()

ps_err_e ps_pdwrite | ( | struct ps_prochandle * | ,
|  | psaddr_t | ,
|  | const void * | ,
|  | size_t |
| ) |  |

## ◆ ps_pglobal_lookup()

ps_err_e ps_pglobal_lookup | ( | struct ps_prochandle * | ,
|  | const char * | object_name,
|  | const char * | sym_name,
|  | psaddr_t * | sym_addr
| ) |  |

## ◆ ps_plog()

void ps_plog | ( | const char * | fmt,
|  |  | ...
| ) |  |

## ◆ ps_pstop()

ps_err_e ps_pstop | ( | struct ps_prochandle * |  | ) |

## ◆ ps_ptread()

ps_err_e ps_ptread | ( | struct ps_prochandle * | ,
|  | psaddr_t | ,
|  | void * | ,
|  | size_t |
| ) |  |

## ◆ ps_ptwrite()

ps_err_e ps_ptwrite | ( | struct ps_prochandle * | ,
|  | psaddr_t | ,
|  | const void * | ,
|  | size_t |
| ) |  |